{
    "fields": [
        {
            "name": "id",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "source",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "tier",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "somatic",
            "type": [
                "null",
                "boolean"
            ]
        },
        {
            "name": "germline",
            "type": [
                "null",
                "boolean"
            ]
        },
        {
            "name": "somaticTumourTypes",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "germlineTumourTypes",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "syndromes",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "tissues",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "modeOfInheritance",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "roleInCancer",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "mutationTypes",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "translocationPartners",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        }
    ],
    "name": "GeneCancerAssociation",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}